Your submission was sent successfully! Close

CVE-2021-4207

Published: 29 April 2022

A flaw was found in the QXL display device emulation in QEMU. A double fetch of guest controlled values `cursor->header.width` and `cursor->header.height` can lead to the allocation of a small cursor object followed by a subsequent heap-based buffer overflow. A malicious privileged guest user could use this flaw to crash the QEMU process on the host or potentially execute arbitrary code within the context of the QEMU process.

Priority

Medium

CVSS 3 base score: 8.8

Status

Package Release Status
qemu
Launchpad, Ubuntu, Debian
bionic
Released (1:2.11+dfsg-1ubuntu7.40)
focal
Released (1:4.2-3ubuntu6.23)
impish
Released (1:6.0+dfsg-2expubuntu1.3)
jammy
Released (1:6.2+dfsg-2ubuntu6.2)
trusty Needs triage

upstream Needs triage

xenial Needs triage

Patches:
upstream: https://git.qemu.org/?p=qemu.git;a=commit;h=9569f5cb5b4bffa9d3ebc8ba7da1e03830a9a895